"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.updateAppTsConfig = void 0;
const devkit_1 = require("@nx/devkit");
function updateAppTsConfig(tree, schema) {
    const projects = (0, devkit_1.getProjects)(tree);
    const projectConfig = projects.get(schema.project);
    const tsconfigPath = (0, devkit_1.joinPathFragments)(projectConfig.root, 'tsconfig.app.json');
    if (tree.exists(tsconfigPath)) {
        (0, devkit_1.updateJson)(tree, tsconfigPath, (json) => {
            json.include = [...json.include, 'src/app/pages/**/*.page.ts'];
            return json;
        }, { expectComments: true, allowTrailingComma: true });
    }
}
exports.updateAppTsConfig = updateAppTsConfig;
//# sourceMappingURL=update-app-tsconfig.js.map