"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.updateIndex = void 0;
const devkit_1 = require("@nx/devkit");
function updateIndex(tree, schema) {
    const projects = (0, devkit_1.getProjects)(tree);
    const projectConfig = projects.get(schema.project);
    const indexPath = (0, devkit_1.joinPathFragments)(projectConfig.root, 'src/index.html');
    const newIndexPath = (0, devkit_1.joinPathFragments)(projectConfig.root, 'index.html');
    if (tree.exists(indexPath)) {
        const indexContents = tree.read(indexPath, 'utf-8');
        let updatedIndex = indexContents.replace('</body>', '<script type="module" src="/src/main.ts"></script></body>');
        updatedIndex = updatedIndex.replace(`"favicon.ico"`, `"/favicon.ico"`);
        tree.write(indexPath, updatedIndex);
        tree.rename(indexPath, newIndexPath);
    }
}
exports.updateIndex = updateIndex;
//# sourceMappingURL=update-index-html.js.map