"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.updateMain = void 0;
const devkit_1 = require("@nx/devkit");
function updateMain(tree, schema) {
    const projects = (0, devkit_1.getProjects)(tree);
    const projectConfig = projects.get(schema.project);
    const mainPath = (0, devkit_1.joinPathFragments)(projectConfig.root, 'src/main.ts');
    if (tree.exists(mainPath)) {
        const mainContents = tree.read(mainPath, 'utf-8');
        let updatedMain = `import 'zone.js';\n${mainContents}`;
        tree.write(mainPath, updatedMain);
    }
}
exports.updateMain = updateMain;
//# sourceMappingURL=update-main.js.map