"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.updatePackageJson = void 0;
const devkit_1 = require("@nx/devkit");
function updatePackageJson(tree, schema) {
    const angularJsonPath = '/angular.json';
    const packageJsonPath = '/package.json';
    if (tree.exists(angularJsonPath)) {
        (0, devkit_1.updateJson)(tree, packageJsonPath, (json) => {
            json.type = 'module';
            return json;
        });
    }
    else {
        const projects = (0, devkit_1.getProjects)(tree);
        const projectConfig = projects.get(schema.project);
        const packageJsonPath = (0, devkit_1.joinPathFragments)(projectConfig.root, 'package.json');
        (0, devkit_1.writeJson)(tree, packageJsonPath, { type: 'module' });
    }
}
exports.updatePackageJson = updatePackageJson;
//# sourceMappingURL=update-package-json.js.map