"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.updateTestTarget = void 0;
const devkit_1 = require("@nx/devkit");
function updateTestTarget(tree, schema) {
    const angularJsonPath = '/angular.json';
    if (tree.exists(angularJsonPath)) {
        (0, devkit_1.updateJson)(tree, angularJsonPath, (json) => {
            json.projects[schema.project].architect.test = {
                builder: '@analogjs/platform:vitest',
            };
            return json;
        }, { expectComments: true, allowTrailingComma: true });
    }
    else {
        const projects = (0, devkit_1.getProjects)(tree);
        const projectConfig = projects.get(schema.project);
        projectConfig.targets.test = {
            executor: '@analogjs/platform:vitest',
        };
        (0, devkit_1.updateProjectConfiguration)(tree, schema.project, projectConfig);
    }
}
exports.updateTestTarget = updateTestTarget;
//# sourceMappingURL=update-test-target.js.map